# Configuration for Alacritty, the GPU enhanced terminal emulator.
#
# Reference: https://raw.githubusercontent.com/alacritty/alacritty/master/alacritty.yml

env:
  TERM: xterm-256color

window:
  dynamic_padding: true
  decorations: none
  opacity: 0.75
  padding:
    x: 5
    y: 5

scrolling:
  history: 100000

font:
  size: 10.0
  normal:
    family: Hack

# Colors (One Half Dark)
colors:
  primary:
    background: "#000000"
    foreground: "0xdcdfe4"

  normal:
    black: "0x282c34"
    red: "0xe06c75"
    green: "0x98c379"
    yellow: "0xe5c07b"
    blue: "0x61afef"
    magenta: "0xc678dd"
    cyan: "0x56b6c2"
    white: "0xdcdfe4"

  bright:
    black: "#636e72"
    red: "0xe06c75"
    green: "0x98c379"
    yellow: "0xe5c07b"
    blue: "0x61afef"
    magenta: "0xc678dd"
    cyan: "0x56b6c2"
    white: "0xdcdfe4"

bell:
  duration: 500
